<?php
/**
 * Pagination Settings
 *
 * @package NewsNation
 */

$newsnation_default = newsnation_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'newsnation_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'newsnation' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'newsnation_pagination_layout',
	array(
	'default'           => $newsnation_default['newsnation_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'newsnation_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'newsnation' ),
	'section'     => 'newsnation_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','newsnation'),
		'numeric' => esc_html__('Numeric Method','newsnation'),
		'load-more' => esc_html__('Ajax Load More Button','newsnation'),
		'auto-load' => esc_html__('Ajax Auto Load','newsnation'),
	),
	)
);